#include "guecstra.hpp"

namespace guecs {

  Clickable make_action(DinkyECS::World& target, Events::GUI event) {
    return {[&, event](auto ent, auto data){
      // remember that ent is passed in from the UI::mouse handler
      target.send<Events::GUI>(event, ent, data);
    }};
  }

  Clickable make_action(DinkyECS::World& target, Events::GUI event, std::any data) {
    return {[&, event, data](auto ent, auto){
      // remember that ent is passed in from the UI::mouse handler
      target.send<Events::GUI>(event, ent, data);
    }};
  }
}
